
Bauer = {};

function Bauer.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Sprayer, specializations);
end;

function Bauer:load(xmlFile)
	self.Wom1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Wom1#index"));
	self.Wom2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Wom2#index"));
	self.Wom3 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Wom3#index"));
end;

function Bauer:delete()
end;

function Bauer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Bauer:keyEvent(unicode, sym, modifier, isDown)
end;

function Bauer:update(dt)
end;

function Bauer:updateTick(dt)
	if self:getIsActive() then
		if self.isTurnedOn then
			rotate(self.Wom1, 0, 1.6, 0);
		end;
		if self.isTurnedOn then
			rotate(self.Wom2, 0, 0, 1.6);
		end;
		if self.isTurnedOn then
			rotate(self.Wom3, 0, 0, 1.6);
		end;
	end;
end;

function Bauer:draw()
end;

function Bauer:onDetach()
end;

function Bauer:onLeave()
end;

function Bauer:onDeactivate()
end;